List event groups

Lists the groups of one event with schedule and check-in times. Use `stageId` to list the groups of one stage.

GET/api/v2/events/{eventId}/groups

Parameters #

PropertyTypeLocationDescription
eventIdstringRequiredpath-
cursorstringquery-
limitintegerquery-
stageIdstringquery-
If-None-MatchstringheaderThe ETag of a cached copy. The API answers 304 Not Modified when it is still current.

Request #

curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID/groups' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
304Not Modified. The If-None-Match ETag is current; reuse the cached body.
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobject[]Required-
└idstringRequired-
└eventIdstringRequired-
└stageIdstringRequired-
└namestringRequired-
└slugstring | nullRequired-
└scheduledAtstring | nullRequired-
└checkInStartsAtstring | nullRequired-
└checkInEndsAtstring | nullRequired-
└startedAtstring | nullRequired-
└endedAtstring | nullRequired-
└formatstringThe format type that the group plays: its own format, else the stage format.
└bestOfnumberDefault best-of of the group: its own value, else the stage best-of.
metaobjectRequired-
└nextCursorstring | nullRequiredAn opaque cursor returned by the previous page.
└hasMorebooleanRequired-

Cost #

5 API units